%define upstream_name    Dist-Zilla-Stash-PodWeaver
%define upstream_version 1.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    A stash of config options for Pod::Weaver
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::Stash::Plugins) >= 1.6.0
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(PPI::Document)
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This performs the the Dist::Zilla::Role::Stash manpage role (using the
Dist::Zilla::Role::DynamicConfig manpage and the
Dist::Zilla::Role::Stash::Plugins manpage).

When using the Dist::Zilla::Plugin::PodWeaver manpage with a
_config_plugin_ it's difficult to pass more configuration options to the
Pod::Weaver manpage plugins.

This is often the case when using a Dist::Zilla::Role::PluginBundle that
uses a Pod::Weaver::PluginBundle::Default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.5.0-11.mga10
+ Revision: 2198682
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.5.0-10.mga9
+ Revision: 1803428
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.5.0-9.mga8
+ Revision: 1494414
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.5.0-8.mga7
+ Revision: 1267781
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.5.0-7.mga6
+ Revision: 1026749
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.5.0-6.mga6
+ Revision: 970347
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 1.5.0-5.mga6
+ Revision: 886029
- Fix BRs

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-4.mga5
+ Revision: 750393
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.5.0-2.mga4
+ Revision: 526974
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.5.0-1.mga4
+ Revision: 439226
- update to 1.005

* Sun Jan 13 2013 umeabot <umeabot> 1.4.0-2.mga3
+ Revision: 366733
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 1.4.0-1.mga3
+ Revision: 268119
- update to 1.004

* Thu Nov 03 2011 jquelin <jquelin> 1.3.0-1.mga2
+ Revision: 162204
- update to 1.003
- update to 1.002

* Wed Mar 16 2011 jquelin <jquelin> 1.1.0-1.mga1
+ Revision: 72478
- imported package perl-Dist-Zilla-Stash-PodWeaver


* Wed Mar 16 2011 cpan2dist 1.001000-1mga
- initial mageia release, generated with cpan2dist
